
%option noyywrap
%{
#include<stdio.h>
int cnt=0;
%}

%%
[{]+ {cnt++;}
[}] {cnt--;}
%%

main()
{
	yylex();
	if(cnt == 0)
		printf("No mismatching paranthesis");
	else
		printf("Msmatch parenthesis");
}
